<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
	<title><ui:insert name="title">#{strings.common_title}</ui:insert></title>
</h:head>

<h:body>
	<f:view locale="#{localizationController.currentLocale}" />

	<div>
		<h:form>
			<h:outputLabel value="#{strings.language}: " for="language_field" />
			<h:selectOneMenu value="#{localizationController.currentLanguage}"
				id="language_field" onchange="submit()">
				<f:selectItems
					value="#{localizationController.supportedLocalizedLocales}"
					var="localizedLocale"
					itemValue="#{localizedLocale.locale.language}"
					itemLabel="#{localizedLocale.localizedDisplayLanguage}" />
			</h:selectOneMenu>
		</h:form>

		<h:messages />

		<ui:insert name="account_content">
			<h:form>
				<h:commandButton value="#{strings.logout}"
					action="#{authController.deauthenticate}" />
			</h:form>
			<br />

			<h:outputLabel value="#{strings.user_code}: " />
			<h:outputLabel value="#{authController.currentUser.code}" />
			<br />

			<h:outputLabel value="#{strings.name}: " />
			<h:outputLabel value="#{authController.currentUser.name}" />
			<br />

			<h:outputLabel value="#{strings.requests_progress}: " />
			<h:outputLabel value="#{authController.currentUser.requestsProgress}">
				<f:convertNumber type="percent" />
			</h:outputLabel>
		</ui:insert>
	</div>
	<div>
		<ui:insert name="content" />
	</div>
</h:body>
</html>